AsyncEventQueueMXBean (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, interface: AsyncEventQueueMXBean

Package org.apache.geode.management

# Interface AsyncEventQueueMXBean

public interface AsyncEventQueueMXBean
MBean that provides access to an `AsyncEventQueue`.

Since:
  GemFire 7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsyncEventListener()`
  Returns the class name of the AsyncEventListener that is attached to the queue.
  `int`
  `getBatchSize()`
  Returns the size of a batch that gets delivered over the AsyncEventQueue.
  `long`
  `getBatchTimeInterval()`
  Returns the interval between transmissions by the AsyncEventQueue.
  `long`
  `getBytesOverflowedToDisk()`
  Returns the number of bytes overflowed to disk for this Sender.
  `int`
  `getDispatcherThreads()`
  Returns the number of dispatcher threads working for this `AsyncEventQueue`.
  `long`
  `getEntriesOverflowedToDisk()`
  Returns the number of entries overflowed to disk for this Sender.
  `int`
  `getEventQueueSize()`
  Returns the Size of the event queue
  `String`
  `getId()`
  Returns the ID of the AsyncEventQueue.
  `float`
  `getLRUEvictionsRate()`
  Returns the rate of LRU evictions per second by this Sender.
  `int`
  `getMaximumQueueMemory()`
  Returns the maximum memory after which the data needs to be overflowed to disk.
  `String`
  `getOrderPolicy()`
  Returns the order policy followed while dispatching the events to remote distributed system.
  `String`
  `getOverflowDiskStoreName()`
  Returns the name of the disk store that is used for persistence.
  `boolean`
  `isBatchConflationEnabled()`
  Returns whether batch conflation for the AsyncEventQueue is enabled
  `boolean`
  `isDiskSynchronous()`
  Returns whether the isDiskSynchronous property is set for this AsyncEventQueue.
  `boolean`
  `isDispatchingPaused()`
  Returns the state of the event dispatcher.
  `boolean`
  `isParallel()`
  Returns whether the isParallel property is set for this AsyncEventQueue.
  `boolean`
  `isPersistent()`
  Returns whether the AsyncEventQueue is configured to be persistent or non-persistent.
  `boolean`
  `isPrimary()`
  Returns whether the queue is primary or secondary.

- ## Method Details

  - ### getId

    String getId()
    Returns the ID of the AsyncEventQueue.
    Returns:
      the ID of the AsyncEventQueue

  - ### getOverflowDiskStoreName

    String getOverflowDiskStoreName()
    Returns the name of the disk store that is used for persistence.
    Returns:
      the name of the disk store that is used for persistence

  - ### getMaximumQueueMemory

    int getMaximumQueueMemory()
    Returns the maximum memory after which the data needs to be overflowed to disk.
    Returns:
      the maximum memory after which the data needs to be overflowed to disk

  - ### getBatchSize

    int getBatchSize()
    Returns the size of a batch that gets delivered over the AsyncEventQueue.
    Returns:
      the size of a batch that gets delivered over the AsyncEventQueue

  - ### getBatchTimeInterval

    long getBatchTimeInterval()
    Returns the interval between transmissions by the AsyncEventQueue.
    Returns:
      the interval between transmissions by the AsyncEventQueue

  - ### isBatchConflationEnabled

    boolean isBatchConflationEnabled()
    Returns whether batch conflation for the AsyncEventQueue is enabled
    Returns:
      True if batch conflation is enabled, false otherwise.

  - ### isPersistent

    boolean isPersistent()
    Returns whether the AsyncEventQueue is configured to be persistent or non-persistent.
    Returns:
      True if the queue is persistent, false otherwise.

  - ### isPrimary

    boolean isPrimary()
    Returns whether the queue is primary or secondary. Events get delivered only by the primary queue. If the primary queue goes down then the secondary queue first becomes primary and then starts delivering the events.
    Returns:
      True if this is the primary queue, false otherwise.

  - ### getDispatcherThreads

    int getDispatcherThreads()
    Returns the number of dispatcher threads working for this `AsyncEventQueue`.
    Returns:
      the number of dispatcher threads working for this `AsyncEventQueue`

  - ### getOrderPolicy

    String getOrderPolicy()
    Returns the order policy followed while dispatching the events to remote distributed system. Order policy is only relevant when the number of dispatcher threads is greater than one.
    Returns:
      the order policy followed while dispatching the events to remote distributed system

  - ### isDiskSynchronous

    boolean isDiskSynchronous()
    Returns whether the isDiskSynchronous property is set for this AsyncEventQueue.
    Returns:
      True if the property is set, false otherwise.

  - ### isParallel

    boolean isParallel()
    Returns whether the isParallel property is set for this AsyncEventQueue.
    Returns:
      True if the property is set, false otherwise.

  - ### getAsyncEventListener

    String getAsyncEventListener()
    Returns the class name of the AsyncEventListener that is attached to the queue.
    Returns:
      the class name of the AsyncEventListener that is attached to the queue

  - ### getEventQueueSize

    int getEventQueueSize()
    Returns the Size of the event queue
    Returns:
      the Size of the event queue

  - ### getLRUEvictionsRate

    float getLRUEvictionsRate()
    Returns the rate of LRU evictions per second by this Sender.
    Returns:
      the rate of LRU evictions per second by this Sender

  - ### getEntriesOverflowedToDisk

    long getEntriesOverflowedToDisk()
    Returns the number of entries overflowed to disk for this Sender.
    Returns:
      the number of entries overflowed to disk for this Sender

  - ### getBytesOverflowedToDisk

    long getBytesOverflowedToDisk()
    Returns the number of bytes overflowed to disk for this Sender.
    Returns:
      the number of bytes overflowed to disk for this Sender

  - ### isDispatchingPaused

    boolean isDispatchingPaused()
    Returns the state of the event dispatcher.
    Returns:
      True if the dispatcher is paused, false otherwise.